Skip to content
WP Engine Documentation

List backups for a WordPress installation

GET
/installs/{install_id}/backups

Returns a paginated list of backups for the specified WordPress installation, in all states (requested, in_progress, completed, aborted).

install_id
required
string format: uuid

ID of install

limit
integer
default: 100 <= 100

(Optional) The number of records to return

offset
integer
0

(Optional) The first record of the result set to be retrieved

List of backups for install

object
previous

Path to the previous page of results

string
Example
https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0
next

Path to the next page of results

string
Example
https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200
count

The total number of results

integer
Example
225
results
Array<object>
object
id
required

The unique identifier of the backup

string format: uuid
Example
e41fa98f-ea80-4654-b229-a9b765d0863a
status
required

State of the backup.

string
Allowed values: requested in_progress completed aborted
Example
completed
description

Human-readable description provided when the backup was requested

string
Example
Pre-deploy snapshot
create_time

Timestamp when the backup was created

string format: date-time
Example
2024-01-15T10:00:00Z
complete_time

Timestamp when the backup completed. null while the backup is still in progress.

string format: date-time
Example
2024-01-15T10:30:00Z
wordpress_version

WordPress version of the install at the time the backup was taken

string
Example
6.4.2

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

An invalid response was received from an upstream server

Service unavailable